#!/usr/bin/make
#
# This makefile generated by LgiIde
# http://www.memecode.com/lgi.php
#

.SILENT :

CC = gcc
CPP = g++
Target = lgi-gtk3
ifndef Build
	Build = Debug
endif
BuildDir = $(Build)

Flags = -fPIC -w -fno-inline -fpermissive

ifeq ($(Build),Debug)
	Flags += -g -std=c++14
	Tag = d
	Defs = -D_DEBUG -DLINUX -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DPOSIX
	Libs =  \
		-lmagic \
		-lappindicator3 \
		-static-libgcc  \
		`pkg-config --libs gtk+-3.0`
	Inc =  \
		`pkg-config --cflags gtk+-3.0` \
		-I/usr/include/libappindicator3-0.1 \
		-I/usr/include/gstreamer-1.0 \
		-I./private/linux \
		-I./private/common \
		-I./include/lgi/linux/Gtk \
		-I./include/lgi/linux \
		-I./include
else
	Flags += -s -Os -std=c++14
	Defs = -DLINUX -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DPOSIX
	Libs =  \
		-lmagic \
		-lappindicator3 \
		-static-libgcc  \
		`pkg-config --libs gtk+-3.0`
	Inc =  \
		`pkg-config --cflags gtk+-3.0` \
		-I/usr/include/libappindicator3-0.1 \
		-I/usr/include/gstreamer-1.0 \
		-I./private/linux \
		-I./private/common \
		-I./include/lgi/linux/Gtk \
		-I./include/lgi/linux \
		-I./include
endif

# Dependencies
Source =	src/linux/Lgi/Window.cpp \
			src/linux/Lgi/Widgets.cpp \
			src/linux/Lgi/View.cpp \
			src/linux/Lgi/Thread.cpp \
			src/linux/Lgi/Printer.cpp \
			src/linux/Lgi/Menu.cpp \
			src/linux/Lgi/Layout.cpp \
			src/linux/Lgi/General.cpp \
			src/linux/Lgi/DragAndDrop.cpp \
			src/linux/Lgi/ClipBoard.cpp \
			src/linux/Lgi/App.cpp \
			src/linux/Gtk/ScreenDC.cpp \
			src/linux/Gtk/PrintDC.cpp \
			src/linux/Gtk/MemDC.cpp \
			src/linux/Gtk/LgiWidget.cpp \
			src/linux/Gtk/Gdc2.cpp \
			src/linux/General/ShowFileProp_Linux.cpp \
			src/linux/General/Mem.cpp \
			src/linux/General/File.cpp \
			src/common/Widgets/Tree.cpp \
			src/common/Widgets/ToolBar.cpp \
			src/common/Widgets/TextLabel.cpp \
			src/common/Widgets/TabView.cpp \
			src/common/Widgets/TableLayout.cpp \
			src/common/Widgets/StatusBar.cpp \
			src/common/Widgets/Splitter.cpp \
			src/common/Widgets/Slider.cpp \
			src/common/Widgets/ScrollBar.cpp \
			src/common/Widgets/RadioGroup.cpp \
			src/common/Widgets/ProgressDlg.cpp \
			src/common/Widgets/Progress.cpp \
			src/common/Widgets/Popup.cpp \
			src/common/Widgets/Panel.cpp \
			src/common/Widgets/List.cpp \
			src/common/Widgets/ItemContainer.cpp \
			src/common/Widgets/Edit.cpp \
			src/common/Widgets/Combo.cpp \
			src/common/Widgets/CheckBox.cpp \
			src/common/Widgets/Button.cpp \
			src/common/Widgets/Box.cpp \
			src/common/Widgets/Bitmap.cpp \
			src/common/Text/XmlTree.cpp \
			src/common/Text/Utf8.cpp \
			src/common/Text/Unicode.cpp \
			src/common/Text/Token.cpp \
			src/common/Text/TextView3.cpp \
			src/common/Text/String.cpp \
			src/common/Text/DocView.cpp \
			src/common/Skins/Gel/Gel.cpp \
			src/common/Resource/Res.cpp \
			src/common/Resource/LgiRes.cpp \
			src/common/Net/Uri.cpp \
			src/common/Net/NetTools.cpp \
			src/common/Net/Net.cpp \
			src/common/Net/MDStringToDigest.cpp \
			src/common/Net/Base64.cpp \
			src/common/Lgi/WindowCommon.cpp \
			src/common/Lgi/ViewCommon.cpp \
			src/common/Lgi/Variant.cpp \
			src/common/Lgi/TrayIcon.cpp \
			src/common/Lgi/ToolTip.cpp \
			src/common/Lgi/ThreadEvent.cpp \
			src/common/Lgi/ThreadCommon.cpp \
			src/common/Lgi/SubProcess.cpp \
			src/common/Lgi/Stream.cpp \
			src/common/Lgi/Rand.cpp \
			src/common/Lgi/OptionsFile.cpp \
			src/common/Lgi/Object.cpp \
			src/common/Lgi/Mutex.cpp \
			src/common/Lgi/Mru.cpp \
			src/common/Lgi/MenuCommon.cpp \
			src/common/Lgi/MemStream.cpp \
			src/common/Lgi/LMsg.cpp \
			src/common/Lgi/Library.cpp \
			src/common/Lgi/LgiCommon.cpp \
			src/common/Lgi/Input.cpp \
			src/common/Lgi/GuiUtils.cpp \
			src/common/Lgi/FontSelect.cpp \
			src/common/Lgi/FindReplace.cpp \
			src/common/Lgi/FileSelect.cpp \
			src/common/Lgi/DragAndDropCommon.cpp \
			src/common/Lgi/DataDlg.cpp \
			src/common/Lgi/CssTools.cpp \
			src/common/Lgi/Css.cpp \
			src/common/Lgi/AppCommon.cpp \
			src/common/Lgi/Alert.cpp \
			src/common/Hash/sha1/sha1.c \
			src/common/Hash/md5/md5.c \
			src/common/General/Properties.cpp \
			src/common/General/Password.cpp \
			src/common/General/FileCommon.cpp \
			src/common/General/ExeCheck.cpp \
			src/common/General/DateTime.cpp \
			src/common/General/Containers.cpp \
			src/common/Gdc2/Tools/GdcTools.cpp \
			src/common/Gdc2/Tools/ColourReduce.cpp \
			src/common/Gdc2/Surface.cpp \
			src/common/Gdc2/Rect.cpp \
			src/common/Gdc2/Path/Path.cpp \
			src/common/Gdc2/GdcCommon.cpp \
			src/common/Gdc2/Font/TypeFace.cpp \
			src/common/Gdc2/Font/StringLayout.cpp \
			src/common/Gdc2/Font/FontType.cpp \
			src/common/Gdc2/Font/FontSystem.cpp \
			src/common/Gdc2/Font/Font.cpp \
			src/common/Gdc2/Font/DisplayString.cpp \
			src/common/Gdc2/Font/Charset.cpp \
			src/common/Gdc2/Filters/Filter.cpp \
			src/common/Gdc2/Colour.cpp \
			src/common/Gdc2/Alpha.cpp \
			src/common/Gdc2/8Bit.cpp \
			src/common/Gdc2/32Bit.cpp \
			src/common/Gdc2/24Bit.cpp \
			src/common/Gdc2/16Bit.cpp \
			src/common/Gdc2/15Bit.cpp

SourceLst := $(patsubst %.c,%.o,$(patsubst %.cpp,%.o,$(Source)))

Objects := $(addprefix $(BuildDir)/,$(SourceLst))

# Target
TargetFile = lib$(Target)$(Tag).so
$(TargetFile) : $(Objects)
	mkdir -p $(BuildDir)
	@echo Linking $(TargetFile) [$(Build)]...
	$(CPP)$s -shared \
		 \
		-o $(BuildDir)/$(TargetFile) \
		$(Objects) \
		$(Libs)
	@echo Done.

.SECONDEXPANSION:
$(Objects): $(BuildDir)/%.o: $$(wildcard %.c*)
	mkdir -p $(@D)
	@echo $(<F) [$(Build)]
ifeq "$(suffix $<)" ".cpp"
	$(CPP) -MMD -MP $(Inc) $(Flags) $(Defs) -c $< -o $@
else
	$(CC) -MMD -MP $(Inc) $(Flags) $(Defs) -c $< -o $@
endif

-include $(Objects:.o=.d)

# Clean out targets
clean :
	rm -rf $(BuildDir)/* $(BuildDir)/$(TargetFile)
	@echo Cleaned $(BuildDir)

<<<<<<< working copy
DateTime.o : ./src/common/General/DateTime.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

DragAndDrop.o : ./src/linux/Lgi/DragAndDrop.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

DragAndDropCommon.o : ./src/common/Lgi/DragAndDropCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

File.o : ./src/linux/General/File.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ShowFileProp_Linux.o : ./src/linux/General/ShowFileProp_Linux.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ExeCheck.o : ./src/common/General/ExeCheck.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FileCommon.o : ./src/common/General/FileCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

App.o : ./src/linux/Lgi/App.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

General.o : ./src/linux/Lgi/General.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

View.o : ./src/linux/Lgi/View.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Window.o : ./src/linux/Lgi/Window.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

LgiWidget.o : ./src/linux/Gtk/LgiWidget.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

WindowCommon.o : ./src/common/Lgi/WindowCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ViewCommon.o : ./src/common/Lgi/ViewCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

AppCommon.o : ./src/common/Lgi/AppCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Library.o : ./src/common/Lgi/Library.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Mem.o : ./src/linux/General/Mem.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Properties.o : ./src/common/General/Properties.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Containers.o : ./src/common/General/Containers.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Menu.o : ./src/linux/Lgi/Menu.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

MenuCommon.o : ./src/common/Lgi/MenuCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

SubProcess.o : ./src/common/Lgi/SubProcess.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

LgiRes.o : ./src/common/Resource/LgiRes.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Res.o : ./src/common/Resource/Res.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Gel.o : ./src/common/Skins/Gel/Gel.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Path.o : ./src/common/Gdc2/Path/Path.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

MemStream.o : ./src/common/Lgi/MemStream.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Stream.o : ./src/common/Lgi/Stream.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Thread.o : ./src/linux/Lgi/Thread.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Mutex.o : ./src/common/Lgi/Mutex.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ThreadCommon.o : ./src/common/Lgi/ThreadCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ThreadEvent.o : ./src/common/Lgi/ThreadEvent.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Variant.o : ./src/common/Lgi/Variant.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GuiUtils.o : ./src/common/Lgi/GuiUtils.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Object.o : ./src/common/Lgi/Object.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ToolTip.o : ./src/common/Lgi/ToolTip.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TrayIcon.o : ./src/common/Lgi/TrayIcon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

LgiCommon.o : ./src/common/Lgi/LgiCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

LMsg.o : ./src/common/Lgi/LMsg.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FileSelect.o : ./src/common/Lgi/FileSelect.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Alert.o : ./src/common/Lgi/Alert.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FindReplace.o : ./src/common/Lgi/FindReplace.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FontSelect.o : ./src/common/Lgi/FontSelect.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Input.o : ./src/common/Lgi/Input.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Gdc2.o : ./src/linux/Gtk/Gdc2.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Colour.o : ./src/common/Gdc2/Colour.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ColourReduce.o : ./src/common/Gdc2/Tools/ColourReduce.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GdcCommon.o : ./src/common/Gdc2/GdcCommon.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GdcTools.o : ./src/common/Gdc2/Tools/GdcTools.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

DisplayString.o : ./src/common/Gdc2/Font/DisplayString.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Font.o : ./src/common/Gdc2/Font/Font.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FontCodePages.o : ./src/common/Gdc2/Font/FontCodePages.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FontSystem.o : ./src/common/Gdc2/Font/FontSystem.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

StringLayout.o : ./src/common/Gdc2/Font/StringLayout.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TypeFace.o : ./src/common/Gdc2/Font/TypeFace.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

FontType.o : ./src/common/Gdc2/Font/FontType.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

15Bit.o : ./src/common/Gdc2/15Bit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

16Bit.o : ./src/common/Gdc2/16Bit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

24Bit.o : ./src/common/Gdc2/24Bit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

32Bit.o : ./src/common/Gdc2/32Bit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

8Bit.o : ./src/common/Gdc2/8Bit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Alpha.o : ./src/common/Gdc2/Alpha.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Filter.o : ./src/common/Gdc2/Filters/Filter.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Rect.o : ./src/common/Gdc2/Rect.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GMemDC.o : ./src/linux/Gtk/GMemDC.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GPrintDC.o : ./src/linux/Gtk/GPrintDC.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

GScreenDC.o : ./src/linux/Gtk/GScreenDC.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Printer.o : ./src/linux/Lgi/Printer.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Surface.o : ./src/common/Gdc2/Surface.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ClipBoard.o : ./src/linux/Lgi/ClipBoard.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

DataDlg.o : ./src/common/Lgi/DataDlg.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Password.o : ./src/common/General/Password.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

md5.o : ./src/common/Hash/md5/md5.c 
	@echo $(<F) [$(Build)]
	$(CC) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

sha1.o : ./src/common/Hash/sha1/sha1.c 
	@echo $(<F) [$(Build)]
	$(CC) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Mru.o : ./src/common/Lgi/Mru.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Base64.o : ./src/common/Net/Base64.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

OptionsFile.o : ./src/common/Lgi/OptionsFile.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Rand.o : ./src/common/Lgi/Rand.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

String.o : ./src/common/Text/String.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Token.o : ./src/common/Text/Token.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Unicode.o : ./src/common/Text/Unicode.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Utf8.o : ./src/common/Text/Utf8.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

XmlTree.o : ./src/common/Text/XmlTree.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Bitmap.o : ./src/common/Widgets/Bitmap.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Button.o : ./src/common/Widgets/Button.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

CheckBox.o : ./src/common/Widgets/CheckBox.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Combo.o : ./src/common/Widgets/Combo.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

DocView.o : ./src/common/Text/DocView.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Edit.o : ./src/common/Widgets/Edit.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ItemContainer.o : ./src/common/Widgets/ItemContainer.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Panel.o : ./src/common/Widgets/Panel.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Popup.o : ./src/common/Widgets/Popup.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Progress.o : ./src/common/Widgets/Progress.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ProgressDlg.o : ./src/common/Widgets/ProgressDlg.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

RadioGroup.o : ./src/common/Widgets/RadioGroup.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ScrollBar.o : ./src/common/Widgets/ScrollBar.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Slider.o : ./src/common/Widgets/Slider.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

StatusBar.o : ./src/common/Widgets/StatusBar.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TabView.o : ./src/common/Widgets/TabView.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TextLabel.o : ./src/common/Widgets/TextLabel.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TextView3.o : ./src/common/Text/TextView3.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

ToolBar.o : ./src/common/Widgets/ToolBar.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Tree.o : ./src/common/Widgets/Tree.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

List.o : ./src/common/Widgets/List.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Css.o : ./src/common/Lgi/Css.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

CssTools.o : ./src/common/Lgi/CssTools.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Box.o : ./src/common/Widgets/Box.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Splitter.o : ./src/common/Widgets/Splitter.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

TableLayout.o : ./src/common/Widgets/TableLayout.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Layout.o : ./src/linux/Lgi/Layout.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Widgets.o : ./src/linux/Lgi/Widgets.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Uri.o : ./src/common/Net/Uri.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

Net.o : ./src/common/Net/Net.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

NetTools.o : ./src/common/Net/NetTools.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

MDStringToDigest.o : ./src/common/Net/MDStringToDigest.cpp 
	@echo $(<F) [$(Build)]
	$(CPP) $(Inc) $(Flags) $(Defs) -c $< -o $(BuildDir)/$(@F)

=======
>>>>>>> destination
VPATH=%.cpp \
	./src/common/Hash/sha1 \
	./src/common/Hash/md5 \
	./private/linux \
	./private/common \
	./include/lgi/mac/cocoa \
	./include/lgi/linux/Gtk \
	./include/lgi/linux \
	./include/lgi/common \
	./include \
	$(BuildDir)

